Warface

Informations

Créateur Messages
jimy byerley Anonymous

Attention

This installer is a beta script. It means that it might not work as expected

Informations

Plate-formes :
Téléchargements : 4205
Wine: 5.7

Retours d'expérience

Description

FPS, cooperative oriented, 2013. Wikipedia.

Warning: the game does install but fail to run, as of 2020-02.

Appdb.winehq.org  PCGamingWiki 

Code source

#!/bin/bash
# Date : (2020-03-07)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: - 'Version of 04.03.2020' (wrote on the Game Center window).
#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
#                  -            WarfaceMyGamesLoader_6d1f751e65366e3bf72b6171ecf6b71e_.exe (2020-06)
#
#
# Middlewares used by this software : Chrome (3.3538.1848), 7z, Discord, .
#
#
# CHANGELOG
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
# [Dadu042] (2019-12-23 11:28)
#    Add install from local source file.
#    Script rewrote.
#    Disable xact, xinput, d3dx9 (were used in 2016).
# [Dadu042] (2020-03-07 22:00)
#   Script updated, more notes. Game does still fail to launch (IGP Intel HD 4400).
# [Dadu042] (2020-06-08 22:00)
#   Wine 5.2-staging -> 5.7. Now the game start downloading (20 GB !).
#
# KNOWN ISSUES:
#  - Wine amd64 5.2-staging: when trying to launch the game from the game center, the window 'STARTING UP' does appear but also a window titled 'Game start error' containing 'General failure. <OK>'. In the log file there is some lines 'fixme:bcrypt:BCryptCreateHash ignoring object buffer'. I tried to launch the two binaries provided 32bits and 64bits (menu Game Settings: '[ ] Use the 64-bit version of the client if possible').?
#  - Wine x86 4.0.3, 4.21, 5.0-rc1 + release 2019-12: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.  Ref: https://pc.warface.com/en/news/1216393.html
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 5.0, 5.2: Game does download and install, but once in the gamecenter it seems impossible to run it, in the tab 'Area' the network ping test shows none value ('- ms').  Tried: wininet. Fix: Wine 5.2-staging. 
#  - Wine amd64 5.0: some texts missing on the main screen of the Game Center. Fix: POL_Install_corefonts.
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Warface"
PREFIX="Warface"
EDITOR="My"
GAME_URL="https://store.my.games/"
AUTHOR="Dadu042"
STEAM_ID="291480"
GAME_VMS="256"
SHORTCUT_FILENAME="GameCenter.exe"
SOFTWARE_CATEGORIES="Game;Shooter;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE=""
       
# Starting the script
POL_SetupWindow_Init
                    
# Starting debugging API
POL_Debug_Init
   
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
 
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
       
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "5.7"
        
POL_System_TmpCreate "$PREFIX"
        
Set_OS "win7"
        
#######################################
#  Installing mandatory dependencies  #
#######################################
   
   
POL_Call POL_Install_corefonts
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
            
            
################
#      GPU     #
################
        
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
         
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
          
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
            
            
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
         
        
#######################################
#  Main part of this script           #
#######################################
            
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
         
# POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
         
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                 
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                 
        # POL_Call POL_Function_NoCDWarning
          
        POL_SetupWindow_check_cdrom "install.exe"
        POL_Wine start /unix "$CDROM/install.exe"
                
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 800x600 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
         
         
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
        POL_Download "https://static.gc.my.games/WarfaceMyGamesLoader.exe"
      
        mv WarfaceMyGamesLoader.exe GameInstaller.exe
      
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
        
        # Extract without sub-folder.
        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
        
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
         
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # rm GameInstaller.exe
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
        
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
      
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
              
        # Restore screen resolution (game's default is 640x480 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
              
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
             
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
      
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
fi
fi
        
        
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
        
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
         
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
         
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
        
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribuer
Membre Messages
Dadu042 Lundi 8 Juin 2020 à 19:23
Dadu042
Modérateur

Information

Cette mise à jour a été acceptée par l'équipe

Messages

Does start to donwload (20 GB !). Not tested further.

Differences

@@ -2,13 +2,16 @@
 # Date : (2020-03-07)
 # Last revision : see the changelog below
 # Wine version used : see the changelog below
-# Distribution used to test : Ubuntu 19.10 64 bits
+# Distribution used to test : XUbuntu 18.04 64 bits
 # Author : Dadu042
 # Licence : Retail
 # Only For : http://www.playonlinux.com
 #
 # TESTED Editions: - 'Version of 04.03.2020' (wrote on the Game Center window).
 #                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
+#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
+#                  -            WarfaceMyGamesLoader_6d1f751e65366e3bf72b6171ecf6b71e_.exe (2020-06)
+#
 #
 # Middlewares used by this software : Chrome (3.3538.1848), 7z, Discord, .
 #
@@ -24,18 +27,20 @@
 #    Disable xact, xinput, d3dx9 (were used in 2016).
 # [Dadu042] (2020-03-07 22:00)
 #   Script updated, more notes. Game does still fail to launch (IGP Intel HD 4400).
+# [Dadu042] (2020-06-08 22:00)
+#   Wine 5.2-staging -> 5.7. Now the game start downloading (20 GB !).
 #
-# KNOWN ISSUES
+# KNOWN ISSUES:
 #  - Wine amd64 5.2-staging: when trying to launch the game from the game center, the window 'STARTING UP' does appear but also a window titled 'Game start error' containing 'General failure. <OK>'. In the log file there is some lines 'fixme:bcrypt:BCryptCreateHash ignoring object buffer'. I tried to launch the two binaries provided 32bits and 64bits (menu Game Settings: '[ ] Use the 64-bit version of the client if possible').?
 #  - Wine x86 4.0.3, 4.21, 5.0-rc1 + release 2019-12: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.  Ref: https://pc.warface.com/en/news/1216393.html
 #
 # KNOWN ISSUES (FIXED):
 #  - Wine amd64 5.0, 5.2: Game does download and install, but once in the gamecenter it seems impossible to run it, in the tab 'Area' the network ping test shows none value ('- ms').  Tried: wininet. Fix: Wine 5.2-staging. 
 #  - Wine amd64 5.0: some texts missing on the main screen of the Game Center. Fix: POL_Install_corefonts.
-
+ 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-       
+        
 TITLE="Warface"
 PREFIX="Warface"
 EDITOR="My"
@@ -47,43 +52,43 @@
 SOFTWARE_CATEGORIES="Game;Shooter;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
 DOCUMENT_FILE=""
-      
+       
 # Starting the script
 POL_SetupWindow_Init
-                   
+                    
 # Starting debugging API
 POL_Debug_Init
-  
+   
 # Open dialogue box 
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-
+ 
 # POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
-
+ 
 # POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
-
+ 
 POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
-
+ 
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-      
+       
 # Determine Architecture
-# POL_System_SetArch "amd64"
+# POL_System_SetArch "amd64"
 POL_System_SetArch "x86"
-  
+   
 # Downloading wine if necessary and creating prefix
-POL_Wine_PrefixCreate "5.2-staging"
-       
+POL_Wine_PrefixCreate "5.7"
+        
 POL_System_TmpCreate "$PREFIX"
-       
+        
 Set_OS "win7"
-       
+        
 #######################################
 #  Installing mandatory dependencies  #
 #######################################
-  
-  
+   
+   
 POL_Call POL_Install_corefonts
-
+ 
 # POL_Call POL_Install_mfc42
 # POL_Call POL_Install_directmusic
 # POL_Call POL_Install_dsound
@@ -102,41 +107,41 @@
 # POL_Call POL_Install_corefonts
 # POL_Call POL_Install_d3dx11
 # POL_Call POL_Install_mono210
-           
-           
+            
+            
 ################
 #      GPU     #
 ################
-       
+        
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
-        
+         
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
-         
+          
 # Useful for Nvidia GPUs
-# POL_Call POL_Install_physx
-           
-           
+# POL_Call POL_Install_physx
+            
+            
 #############################################
 #  Sound problem fix - pulseaudio related   #
 #############################################
 # [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
 # [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
 ## End Fix
+         
         
-       
 #######################################
 #  Main part of this script           #
 #######################################
-           
+            
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
-POL_SetupWindow_InstallMethod "LOCAL"
-        
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+         
 # POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
 # POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
-        
+         
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then
         POL_Call POL_Install_steam
@@ -149,63 +154,63 @@
         cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
         POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
         POL_Wine_WaitExit "$TITLE"
-                
+                 
 elif [ "$INSTALL_METHOD" == "CD" ]; then
         POL_SetupWindow_cdrom
-                
+                 
         # POL_Call POL_Function_NoCDWarning
-         
+          
         POL_SetupWindow_check_cdrom "install.exe"
         POL_Wine start /unix "$CDROM/install.exe"
-               
+                
         POL_Wine_WaitExit "$TITLE"
-            
+             
         # Restore screen resolution (game's default is 800x600 ?)
         POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-               
+                
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_QuietDebug "$TITLE"
         POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
-  
+   
         # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
-        
-        
+         
+         
 elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
         cd "$WINEPREFIX/drive_c"
-       
+        
         # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
-        POL_Download "http://www.derekyu.com/games/spelunky_1_1.zip"
-     
-        # mv Portal-Walk.exe GameInstaller.exe
-     
+        POL_Download "https://static.gc.my.games/WarfaceMyGamesLoader.exe"
+      
+        mv WarfaceMyGamesLoader.exe GameInstaller.exe
+      
         # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
         # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
-        POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
-       
+        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
+        
         # Extract without sub-folder.
         # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
-       
-        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
         
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+         
         # cd  "$WINEPREFIX/drive_c/game/"
-        # POL_Wine "GameInstaller.exe" # "/SILENT"
-        # POL_Wine_WaitBefore "$TITLE"
+        POL_Wine "GameInstaller.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
         # rm GameInstaller.exe
-       
+        
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_QuietDebug "$TITLE"
-       
+        
         # Restore screen resolution (game's default is 1024x768)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-            
+             
         POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
-     
-       
+      
+        
 elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         APP_ANSWER=".EXE"
-     
+      
 if [ "$APP_ANSWER" == ".EXE" ]; then
         # Asking then installing local files of the game
         cd "$HOME"
@@ -213,31 +218,31 @@
         SETUP_EXE="$APP_ANSWER"
         POL_Wine start /unix "$SETUP_EXE"
         POL_Wine_WaitExit "$TITLE"
-             
+              
         # Restore screen resolution (game's default is 640x480 ?)
         POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-             
+              
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
         POL_Shortcut_QuietDebug "$TITLE"
-       
+        
         POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
-  
+   
         # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
-            
+             
 elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
         cd "$HOME"
-       
+        
         POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
         cd "$POL_System_TmpDir"
         POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
         POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
-     
+      
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
-       
+        
         POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
-     
-     
+      
+      
 elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
@@ -246,32 +251,32 @@
         POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
         POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
-      
+       
         POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 fi
 fi
-       
-       
+        
+        
 ################
 # Patch update #
 ################
-  
+   
 # POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
-       
+        
 if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
         PATCH_EXE="$APP_ANSWER"
         POL_Wine start /unix "$PATCH_EXE"
         POL_Wine_WaitExit "$PATCH_EXE"
 fi
-        
+         
 # POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
-
+ 
 # POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
-        
+         
 # Fail ?
 # POL_SetupWindow_message "$LNG_FIN" "$TITLE"
-       
+        
 POL_System_TmpDelete
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2020-03-07)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: - 'Version of 04.03.2020' (wrote on the Game Center window).
#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
#                  -            WarfaceMyGamesLoader_6d1f751e65366e3bf72b6171ecf6b71e_.exe (2020-06)
#
#
# Middlewares used by this software : Chrome (3.3538.1848), 7z, Discord, .
#
#
# CHANGELOG
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
# [Dadu042] (2019-12-23 11:28)
#    Add install from local source file.
#    Script rewrote.
#    Disable xact, xinput, d3dx9 (were used in 2016).
# [Dadu042] (2020-03-07 22:00)
#   Script updated, more notes. Game does still fail to launch (IGP Intel HD 4400).
# [Dadu042] (2020-06-08 22:00)
#   Wine 5.2-staging -> 5.7. Now the game start downloading (20 GB !).
#
# KNOWN ISSUES:
#  - Wine amd64 5.2-staging: when trying to launch the game from the game center, the window 'STARTING UP' does appear but also a window titled 'Game start error' containing 'General failure. <OK>'. In the log file there is some lines 'fixme:bcrypt:BCryptCreateHash ignoring object buffer'. I tried to launch the two binaries provided 32bits and 64bits (menu Game Settings: '[ ] Use the 64-bit version of the client if possible').?
#  - Wine x86 4.0.3, 4.21, 5.0-rc1 + release 2019-12: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.  Ref: https://pc.warface.com/en/news/1216393.html
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 5.0, 5.2: Game does download and install, but once in the gamecenter it seems impossible to run it, in the tab 'Area' the network ping test shows none value ('- ms').  Tried: wininet. Fix: Wine 5.2-staging. 
#  - Wine amd64 5.0: some texts missing on the main screen of the Game Center. Fix: POL_Install_corefonts.
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Warface"
PREFIX="Warface"
EDITOR="My"
GAME_URL="https://store.my.games/"
AUTHOR="Dadu042"
STEAM_ID="291480"
GAME_VMS="256"
SHORTCUT_FILENAME="GameCenter.exe"
SOFTWARE_CATEGORIES="Game;Shooter;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE=""
       
# Starting the script
POL_SetupWindow_Init
                    
# Starting debugging API
POL_Debug_Init
   
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
 
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
       
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "5.7"
        
POL_System_TmpCreate "$PREFIX"
        
Set_OS "win7"
        
#######################################
#  Installing mandatory dependencies  #
#######################################
   
   
POL_Call POL_Install_corefonts
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
            
            
################
#      GPU     #
################
        
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
         
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
          
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
            
            
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
         
        
#######################################
#  Main part of this script           #
#######################################
            
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
         
# POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
         
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                 
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                 
        # POL_Call POL_Function_NoCDWarning
          
        POL_SetupWindow_check_cdrom "install.exe"
        POL_Wine start /unix "$CDROM/install.exe"
                
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 800x600 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
         
         
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
        POL_Download "https://static.gc.my.games/WarfaceMyGamesLoader.exe"
      
        mv WarfaceMyGamesLoader.exe GameInstaller.exe
      
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
        
        # Extract without sub-folder.
        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
        
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
         
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # rm GameInstaller.exe
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
        
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
      
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
              
        # Restore screen resolution (game's default is 640x480 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
              
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
             
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
      
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
fi
fi
        
        
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
        
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
         
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
         
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
        
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Réponses

Dadu042 Lundi 16 Mars 2020 à 11:43
Dadu042
Modérateur

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Differences

@@ -1,119 +1,142 @@
 #!/bin/bash
-# Date : (2016-05-23 12:12)
+# Date : (2020-03-07)
+# Last revision : see the changelog below
 # Wine version used : see the changelog below
-# Wine version used : 4.0.3
-# Distribution used to test : Xubuntu 19.04 x64
-# Author : Jimy Byerley
-# License : GNU/GPL v3
+# Distribution used to test : Ubuntu 19.10 64 bits
+# Author : Dadu042
+# Licence : Retail
 # Only For : http://www.playonlinux.com
 #
-# TESTED Editions: local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
+# TESTED Editions: - 'Version of 04.03.2020' (wrote on the Game Center window).
+#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
 #
-# Middlewares used by this software :
+# Middlewares used by this software : Chrome (3.3538.1848), 7z, Discord, .
 #
-# CHANGELOG:
+#
+# CHANGELOG
 # [Jimy Byerley] (2016-05-23 12:12)
 #    First version.
 # [Dadu042] (2019-08-02 20:33)
 #    Wine 1.9.9 -> 2.22 (more common)
 # [Dadu042] (2019-12-23 11:28)
-#    Add install from local source file.
-#    Script rewrote.
-#    Disable xact, xinput, d3dx9 (were used in 2016).
-#
-# KNOWN ISSUES:
-#  - Wine x86 4.0.3, 4.21, 5.0-rc1: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.
-#                            Ref: https://pc.warface.com/en/news/1216393.html
+#    Add install from local source file.
+#    Script rewrote.
+#    Disable xact, xinput, d3dx9 (were used in 2016).
+# [Dadu042] (2020-03-07 22:00)
+#   Script updated, more notes. Game does still fail to launch (IGP Intel HD 4400).
+#
+# KNOWN ISSUES
+#  - Wine amd64 5.2-staging: when trying to launch the game from the game center, the window 'STARTING UP' does appear but also a window titled 'Game start error' containing 'General failure. <OK>'. In the log file there is some lines 'fixme:bcrypt:BCryptCreateHash ignoring object buffer'. I tried to launch the two binaries provided 32bits and 64bits (menu Game Settings: '[ ] Use the 64-bit version of the client if possible').?
+#  - Wine x86 4.0.3, 4.21, 5.0-rc1 + release 2019-12: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.  Ref: https://pc.warface.com/en/news/1216393.html
+#
+# KNOWN ISSUES (FIXED):
+#  - Wine amd64 5.0, 5.2: Game does download and install, but once in the gamecenter it seems impossible to run it, in the tab 'Area' the network ping test shows none value ('- ms').  Tried: wininet. Fix: Wine 5.2-staging. 
+#  - Wine amd64 5.0: some texts missing on the main screen of the Game Center. Fix: POL_Install_corefonts.
 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-
-
+       
 TITLE="Warface"
 PREFIX="Warface"
-EDITOR="Crytek"
-GAME_URL="http://www.warface.com/"
-AUTHOR="Jimy Byerley"
+EDITOR="My"
+GAME_URL="https://store.my.games/"
+AUTHOR="Dadu042"
 STEAM_ID="291480"
-WORKING_WINE_VERSION=""
 GAME_VMS="256"
-SHORTCUT_FILENAME="warface.exe"
+SHORTCUT_FILENAME="GameCenter.exe"
 SOFTWARE_CATEGORIES="Game;Shooter;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
-       
+DOCUMENT_FILE=""
+      
 # Starting the script
 POL_SetupWindow_Init
-           
+                   
 # Starting debugging API
 POL_Debug_Init
-          
+  
 # Open dialogue box 
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-        
+
 # POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
- 
-# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
-         
+
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+
 POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
-    
+
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-          
+      
 # Determine Architecture
-# POL_System_SetArch "amd64"
+# POL_System_SetArch "amd64"
 POL_System_SetArch "x86"
   
 # Downloading wine if necessary and creating prefix
-POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
-    
-Set_OS "win10"
+POL_Wine_PrefixCreate "5.2-staging"
+       
+POL_System_TmpCreate "$PREFIX"
+       
+Set_OS "win7"
+       
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
   
-# Install mandatory dependencies
+  
+POL_Call POL_Install_corefonts
 
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_directmusic
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_quartz
+# POL_Call POL_Install_d3dx9_43
+# POL_Call POL_Install_d3dcompiler_43
+# POL_Call POL_Install_wininet
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_dotnet30sp1
+# POL_Call POL_Install_mono5.20
+# POL_Call POL_Install_dotnet20
 # POL_Call POL_Install_dotnet40
-
-# POL_Call POL_Install_xact
-# POL_Call POL_Install_xinput
-# #POL_Call POL_Install_d3dx9
-
-# POL_Call POL_Install_ffdshow
-# POL_Call POL_Install_quartz
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_physx
 # POL_Call POL_Install_corefonts
-# POL_Call POL_Instatl_directmusic
-# POL_Call POL_Install_d3dx9_43
 # POL_Call POL_Install_d3dx11
-# POL_Call POL_Install_msxml4
-# POL_Call POL_Install_riched30
-# POL_Call POL_Install_phzysx
 # POL_Call POL_Install_mono210
- 
-## Sound problem fix - pulseaudio related
-# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
-# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
-## End Fix
-
-
+           
+           
 ################
 #      GPU     #
 ################
-
-# Set Graphic Card information keys for wine
-# POL_Wine_SetVideoDriver
- 
+       
 # Asking about memory size of graphic card
-# POL_SetupWindow_VMS $GAME_VMS
-     
+POL_SetupWindow_VMS $GAME_VMS
+        
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+         
 # Useful for Nvidia GPUs
-# POL_Call POL_Install_physx
-
-
-
+# POL_Call POL_Install_physx
+           
+           
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+        
+       
+#######################################
+#  Main part of this script           #
+#######################################
+           
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
-POL_SetupWindow_InstallMethod "LOCAL,STEAM"
- 
-# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
-       
+POL_SetupWindow_InstallMethod "LOCAL"
+        
+# POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
+# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
+        
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then
         POL_Call POL_Install_steam
@@ -126,93 +149,129 @@
         cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
         POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
         POL_Wine_WaitExit "$TITLE"
-        
-elif [ "$INSTALL_METHOD" == "DVD" ]; then
+                
+elif [ "$INSTALL_METHOD" == "CD" ]; then
         POL_SetupWindow_cdrom
-        
-        POL_SetupWindow_check_cdrom "SETUP.EXE"
-        POL_Wine start /unix "$CDROM/SETUP.EXE"
-        POL_Wine_WaitExit "SETUP.EXE"
-    
+                
+        # POL_Call POL_Function_NoCDWarning
+         
+        POL_SetupWindow_check_cdrom "install.exe"
+        POL_Wine start /unix "$CDROM/install.exe"
+               
+        POL_Wine_WaitExit "$TITLE"
+            
         # Restore screen resolution (game's default is 800x600 ?)
-        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
- 
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+               
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+  
+        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
+        
         
 elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
-        # POL_SetupWindow_message "$(eval_gettext '\nNote: this script will download the DEMO.')" "$TITLE"
- 
         cd "$WINEPREFIX/drive_c"
-        POL_Download "http://undertowgames.com/file/scp/SCP%20-%20Containment%20Breach%20v1.3.11.zip"
- 
-        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
-        POL_System_unzip "SCP%20-%20Containment%20Breach%20v1.3.11.zip" -d "$WINEPREFIX/drive_c/game/"
- 
-        # POL_Wine start /unix "setup.exe" # "/SILENT"
-        # POL_Wine_WaitExit "$TITLE"
-         
-        # POL_Wine "motoracing2_setup.exe" # "/SILENT"
+       
+        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
+        POL_Download "http://www.derekyu.com/games/spelunky_1_1.zip"
+     
+        # mv Portal-Walk.exe GameInstaller.exe
+     
+        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
+       
+        # Extract without sub-folder.
+        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
+       
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        
+        # cd  "$WINEPREFIX/drive_c/game/"
+        # POL_Wine "GameInstaller.exe" # "/SILENT"
         # POL_Wine_WaitBefore "$TITLE"
-   
+        # rm GameInstaller.exe
+       
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+       
         # Restore screen resolution (game's default is 1024x768)
         # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-    
-        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
-        # POL_Shortcut_Document "$TITLE" "ReadMe.txt"
-         
+            
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+     
+       
 elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
         # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
-        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         APP_ANSWER=".EXE"
- 
+     
 if [ "$APP_ANSWER" == ".EXE" ]; then
         # Asking then installing local files of the game
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
-        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
         SETUP_EXE="$APP_ANSWER"
-        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
+        POL_Wine start /unix "$SETUP_EXE"
         POL_Wine_WaitExit "$TITLE"
+             
+        # Restore screen resolution (game's default is 640x480 ?)
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+             
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+       
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
-        # Restore screen resolution (game's default is 1024x768)
-        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
-     
-        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "-noautoconfig -window /gosnoblade /gosnodialogs /gosnovideo" "$SOFTWARE_CATEGORIES"
-	POL_Shortcut_QuietDebug "$TITLE"
-        # POL_Shortcut_Document "$TITLE" "readme.rtf"
-     
+        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
+            
 elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
         cd "$HOME"
+       
+        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
-        SETUP_EXE="$APP_ANSWER"
         cd "$POL_System_TmpDir"
         POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
         POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
-
-        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "-noautoconfig -window /gosnoblade /gosnodialogs /gosnovideo" "$SOFTWARE_CATEGORIES"
-	POL_Shortcut_QuietDebug "$TITLE"
-        POL_Shortcut_Document "$TITLE" "readme.rtf"
-
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+       
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+     
+     
 elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
         SETUP_EXE="$APP_ANSWER"
         cd "$POL_System_TmpDir"
         POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
-        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+      
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 fi
 fi
-
-    
-# Empty (no text):
-# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
+       
+       
+################
+# Patch update #
+################
   
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
+       
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+        
 # POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
-POL_SetupWindow_message "$(eval_gettext 'TO DO !: please edit the file options.ini in order to change ShadowMode=2 to ShadowMode=1\nthen click the <Next> button. ')" "$TITLE"
-     
-POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
-  
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+        
+# Fail ?
+# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
+       
+POL_System_TmpDelete
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2020-03-07)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.10 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: - 'Version of 04.03.2020' (wrote on the Game Center window).
#                  - local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
#
# Middlewares used by this software : Chrome (3.3538.1848), 7z, Discord, .
#
#
# CHANGELOG
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
# [Dadu042] (2019-12-23 11:28)
#    Add install from local source file.
#    Script rewrote.
#    Disable xact, xinput, d3dx9 (were used in 2016).
# [Dadu042] (2020-03-07 22:00)
#   Script updated, more notes. Game does still fail to launch (IGP Intel HD 4400).
#
# KNOWN ISSUES
#  - Wine amd64 5.2-staging: when trying to launch the game from the game center, the window 'STARTING UP' does appear but also a window titled 'Game start error' containing 'General failure. <OK>'. In the log file there is some lines 'fixme:bcrypt:BCryptCreateHash ignoring object buffer'. I tried to launch the two binaries provided 32bits and 64bits (menu Game Settings: '[ ] Use the 64-bit version of the client if possible').?
#  - Wine x86 4.0.3, 4.21, 5.0-rc1 + release 2019-12: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.  Ref: https://pc.warface.com/en/news/1216393.html
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 5.0, 5.2: Game does download and install, but once in the gamecenter it seems impossible to run it, in the tab 'Area' the network ping test shows none value ('- ms').  Tried: wininet. Fix: Wine 5.2-staging. 
#  - Wine amd64 5.0: some texts missing on the main screen of the Game Center. Fix: POL_Install_corefonts.

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
       
TITLE="Warface"
PREFIX="Warface"
EDITOR="My"
GAME_URL="https://store.my.games/"
AUTHOR="Dadu042"
STEAM_ID="291480"
GAME_VMS="256"
SHORTCUT_FILENAME="GameCenter.exe"
SOFTWARE_CATEGORIES="Game;Shooter;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE=""
      
# Starting the script
POL_SetupWindow_Init
                   
# Starting debugging API
POL_Debug_Init
  
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "5.2-staging"
       
POL_System_TmpCreate "$PREFIX"
       
Set_OS "win7"
       
#######################################
#  Installing mandatory dependencies  #
#######################################
  
  
POL_Call POL_Install_corefonts

# POL_Call POL_Install_mfc42
# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
           
           
################
#      GPU     #
################
       
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
        
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
         
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
           
           
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
       
#######################################
#  Main part of this script           #
#######################################
           
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"
        
# POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                
        # POL_Call POL_Function_NoCDWarning
         
        POL_SetupWindow_check_cdrom "install.exe"
        POL_Wine start /unix "$CDROM/install.exe"
               
        POL_Wine_WaitExit "$TITLE"
            
        # Restore screen resolution (game's default is 800x600 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
               
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
        
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
       
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
        POL_Download "http://www.derekyu.com/games/spelunky_1_1.zip"
     
        # mv Portal-Walk.exe GameInstaller.exe
     
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
       
        # Extract without sub-folder.
        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
       
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        
        # cd  "$WINEPREFIX/drive_c/game/"
        # POL_Wine "GameInstaller.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        # rm GameInstaller.exe
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
            
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
       
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
     
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
       
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
fi
fi
       
       
################
# Patch update #
################
  
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
       
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
        
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
       
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Réponses

Dadu042 Lundi 23 Décembre 2019 à 11:30
Dadu042
Modérateur

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

1. Install from Steam impossible because Steam script is break. 2. Local source: impossible to install because it see a OS older than Windows 7.

Differences

@@ -1,74 +1,218 @@
 #!/bin/bash
 # Date : (2016-05-23 12:12)
-# Last revision : (2019-08-02 20:33)
-# Wine version used : 2.22
-# Distribution used to test : Debian 8 (Wheezy)
+# Wine version used : see the changelog below
+# Wine version used : 4.0.3
+# Distribution used to test : Xubuntu 19.04 x64
 # Author : Jimy Byerley
 # License : GNU/GPL v3
-    
-## Beta script ##
-
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
+#
+# Middlewares used by this software :
+#
 # CHANGELOG:
 # [Jimy Byerley] (2016-05-23 12:12)
 #    First version.
 # [Dadu042] (2019-08-02 20:33)
-#    Wine 1.9.9 -> 2.22 (more common)
-    
-[ "$PLAYONLINUX" = "" ] && exit 1
+#    Wine 1.9.9 -> 2.22 (more common)
+# [Dadu042] (2019-12-23 11:28)
+#    Add install from local source file.
+#    Script rewrote.
+#    Disable xact, xinput, d3dx9 (were used in 2016).
+#
+# KNOWN ISSUES:
+#  - Wine x86 4.0.3, 4.21, 5.0-rc1: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.
+#                            Ref: https://pc.warface.com/en/news/1216393.html
+
+[ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-    
+
+
 TITLE="Warface"
 PREFIX="Warface"
 EDITOR="Crytek"
 GAME_URL="http://www.warface.com/"
 AUTHOR="Jimy Byerley"
-GAME_VMS="256"
 STEAM_ID="291480"
-    
+WORKING_WINE_VERSION=""
+GAME_VMS="256"
+SHORTCUT_FILENAME="warface.exe"
+SOFTWARE_CATEGORIES="Game;Shooter;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+       
 # Starting the script
-POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
 POL_SetupWindow_Init
-POL_SetupWindow_SetID 2346
-    
+           
 # Starting debugging API
 POL_Debug_Init
-    
+          
+# Open dialogue box 
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-    
-# Setting Wine Version
-WORKING_WINE_VERSION="2.22"
+        
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+ 
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
+         
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-    
-# Downloading wine if necessary and creating prefix
+          
+# Determine Architecture
+# POL_System_SetArch "amd64"
 POL_System_SetArch "x86"
+  
+# Downloading wine if necessary and creating prefix
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
     
-# Asking about memory size of graphic card
-POL_SetupWindow_VMS $GAME_VMS
-    
-# Set Graphic Card information keys for wine
-POL_Wine_SetVideoDriver
+Set_OS "win10"
   
 # Install mandatory dependencies
-POL_Call POL_Install_xact
-POL_Call POL_Install_xinput
-#POL_Call POL_Install_d3dx9
-
-# Prepare Steam
-POL_Call POL_Install_steam
-POL_Call POL_Install_steam_flags "$STEAM_ID"
-    
-# Run the install
-POL_Wine_WaitBefore "$TITLE"
-cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
-POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
-POL_Wine_WaitExit "$TITLE"
+
+# POL_Call POL_Install_dotnet40
+
+# POL_Call POL_Install_xact
+# POL_Call POL_Install_xinput
+# #POL_Call POL_Install_d3dx9
+
+# POL_Call POL_Install_ffdshow
+# POL_Call POL_Install_quartz
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Instatl_directmusic
+# POL_Call POL_Install_d3dx9_43
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_msxml4
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_mono210
+ 
+## Sound problem fix - pulseaudio related
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+
+
+################
+#      GPU     #
+################
+
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+ 
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+     
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+
+
+
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,STEAM"
+ 
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+       
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+        
+elif [ "$INSTALL_METHOD" == "DVD" ]; then
+        POL_SetupWindow_cdrom
+        
+        POL_SetupWindow_check_cdrom "SETUP.EXE"
+        POL_Wine start /unix "$CDROM/SETUP.EXE"
+        POL_Wine_WaitExit "SETUP.EXE"
+    
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+ 
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        # POL_SetupWindow_message "$(eval_gettext '\nNote: this script will download the DEMO.')" "$TITLE"
+ 
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "http://undertowgames.com/file/scp/SCP%20-%20Containment%20Breach%20v1.3.11.zip"
+ 
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "SCP%20-%20Containment%20Breach%20v1.3.11.zip" -d "$WINEPREFIX/drive_c/game/"
+ 
+        # POL_Wine start /unix "setup.exe" # "/SILENT"
+        # POL_Wine_WaitExit "$TITLE"
+         
+        # POL_Wine "motoracing2_setup.exe" # "/SILENT"
+        # POL_Wine_WaitBefore "$TITLE"
+   
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+    
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "ReadMe.txt"
+         
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')" "~"
+        APP_ANSWER=".EXE"
+ 
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
+        POL_Wine_WaitExit "$TITLE"
+  
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "-noautoconfig -window /gosnoblade /gosnodialogs /gosnovideo" "$SOFTWARE_CATEGORIES"
+	POL_Shortcut_QuietDebug "$TITLE"
+        # POL_Shortcut_Document "$TITLE" "readme.rtf"
+     
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
+
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "-noautoconfig -window /gosnoblade /gosnodialogs /gosnovideo" "$SOFTWARE_CATEGORIES"
+	POL_Shortcut_QuietDebug "$TITLE"
+        POL_Shortcut_Document "$TITLE" "readme.rtf"
+
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+
     
-# Making shortcut
-POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"
+# Empty (no text):
+# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
+  
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
-#Closing POL
+POL_SetupWindow_message "$(eval_gettext 'TO DO !: please edit the file options.ini in order to change ShadowMode=2 to ShadowMode=1\nthen click the <Next> button. ')" "$TITLE"
+     
+POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+  
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2016-05-23 12:12)
# Wine version used : see the changelog below
# Wine version used : 4.0.3
# Distribution used to test : Xubuntu 19.04 x64
# Author : Jimy Byerley
# License : GNU/GPL v3
# Only For : http://www.playonlinux.com
#
# TESTED Editions: local file WarfaceMyGamesLoader_ecc989d12230045ca0917f4f02bba407_.exe (2019-12)
#
# Middlewares used by this software :
#
# CHANGELOG:
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
# [Dadu042] (2019-12-23 11:28)
#    Add install from local source file.
#    Script rewrote.
#    Disable xact, xinput, d3dx9 (were used in 2016).
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3, 4.21, 5.0-rc1: The installer stops because it thinks the OS is Windows XP or Vista. Tried: Set_OS "win7", Set_OS "win10", dotnet40.
#                            Ref: https://pc.warface.com/en/news/1216393.html

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"


TITLE="Warface"
PREFIX="Warface"
EDITOR="Crytek"
GAME_URL="http://www.warface.com/"
AUTHOR="Jimy Byerley"
STEAM_ID="291480"
WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="warface.exe"
SOFTWARE_CATEGORIES="Game;Shooter;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
       
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (FYI: a iGPU Intel HD Graphics 530 does only become comfortable with low details).')" "$TITLE"
         
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
Set_OS "win10"
  
# Install mandatory dependencies

# POL_Call POL_Install_dotnet40

# POL_Call POL_Install_xact
# POL_Call POL_Install_xinput
# #POL_Call POL_Install_d3dx9

# POL_Call POL_Install_ffdshow
# POL_Call POL_Install_quartz
# POL_Call POL_Install_corefonts
# POL_Call POL_Instatl_directmusic
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_msxml4
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_mono210
 
## Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix


################
#      GPU     #
################

# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
     
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx



# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,STEAM"
 
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
       
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
        
        POL_SetupWindow_check_cdrom "SETUP.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
        POL_Wine_WaitExit "SETUP.EXE"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        # POL_SetupWindow_message "$(eval_gettext '\nNote: this script will download the DEMO.')" "$TITLE"
 
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://undertowgames.com/file/scp/SCP%20-%20Containment%20Breach%20v1.3.11.zip"
 
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "SCP%20-%20Containment%20Breach%20v1.3.11.zip" -d "$WINEPREFIX/drive_c/game/"
 
        # POL_Wine start /unix "setup.exe" # "/SILENT"
        # POL_Wine_WaitExit "$TITLE"
         
        # POL_Wine "motoracing2_setup.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "ReadMe.txt"
         
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')" "~"
        APP_ANSWER=".EXE"
 
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "-noautoconfig -window /gosnoblade /gosnodialogs /gosnovideo" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        # POL_Shortcut_Document "$TITLE" "readme.rtf"
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"

        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "-noautoconfig -window /gosnoblade /gosnodialogs /gosnovideo" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "readme.rtf"

elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi

    
# Empty (no text):
# POL_SetupWindow_message "$LNG_SUCCES" "$TITLE"   
  
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'TO DO !: please edit the file options.ini in order to change ShadowMode=2 to ShadowMode=1\nthen click the <Next> button. ')" "$TITLE"
     
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have a big useless POL/POM log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
  
POL_SetupWindow_Close
exit 0

Réponses

Lundi 23 Décembre 2019 à 11:31
Perhaps Wine 5.0 will help.
Dadu042 Vendredi 2 Aoüt 2019 à 20:33
Dadu042
Modérateur

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

-> Wine 2.22

Differences

@@ -0,0 +1,74 @@
+#!/bin/bash
+# Date : (2016-05-23 12:12)
+# Last revision : (2019-08-02 20:33)
+# Wine version used : 2.22
+# Distribution used to test : Debian 8 (Wheezy)
+# Author : Jimy Byerley
+# License : GNU/GPL v3
+    
+## Beta script ##
+
+# CHANGELOG:
+# [Jimy Byerley] (2016-05-23 12:12)
+#    First version.
+# [Dadu042] (2019-08-02 20:33)
+#    Wine 1.9.9 -> 2.22 (more common)
+    
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="Warface"
+PREFIX="Warface"
+EDITOR="Crytek"
+GAME_URL="http://www.warface.com/"
+AUTHOR="Jimy Byerley"
+GAME_VMS="256"
+STEAM_ID="291480"
+    
+# Starting the script
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 2346
+    
+# Starting debugging API
+POL_Debug_Init
+    
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# Setting Wine Version
+WORKING_WINE_VERSION="2.22"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+    
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+    
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+    
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+  
+# Install mandatory dependencies
+POL_Call POL_Install_xact
+POL_Call POL_Install_xinput
+#POL_Call POL_Install_d3dx9
+
+# Prepare Steam
+POL_Call POL_Install_steam
+POL_Call POL_Install_steam_flags "$STEAM_ID"
+    
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+POL_Wine_WaitExit "$TITLE"
+    
+# Making shortcut
+POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"
+
+#Closing POL
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2016-05-23 12:12)
# Last revision : (2019-08-02 20:33)
# Wine version used : 2.22
# Distribution used to test : Debian 8 (Wheezy)
# Author : Jimy Byerley
# License : GNU/GPL v3
    
## Beta script ##

# CHANGELOG:
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="Warface"
PREFIX="Warface"
EDITOR="Crytek"
GAME_URL="http://www.warface.com/"
AUTHOR="Jimy Byerley"
GAME_VMS="256"
STEAM_ID="291480"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="2.22"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
#POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Réponses

Lundi 23 Décembre 2019 à 10:43
I switch script from stable to testing.
jimy byerley Lundi 23 Mai 2016 à 21:26
jimy byerley Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

I think I have corrected all mistakes in dates and author names ...

This script works for wine 1.9.9 and is supposed to work on wine 1.8.2 crossoverpack ...

Differences

@@ -0,0 +1,68 @@
+#!/bin/bash
+# Date : (2016-05-23 12:12)
+# Last revision : (2016-05-23 12:12)
+# Wine version used : 1.9.9
+# Distribution used to test : Debian 8 (Wheezy)
+# Author : Jimy Byerley
+# License : GNU/GPL v3
+    
+## Beta script ##
+    
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="Warface"
+PREFIX="Warface"
+EDITOR="Crytek"
+GAME_URL="http://www.warface.com/"
+AUTHOR="Jimy Byerley"
+GAME_VMS="256"
+STEAM_ID="291480"
+    
+# Starting the script
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 2346
+    
+# Starting debugging API
+POL_Debug_Init
+    
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# Setting Wine Version
+WORKING_WINE_VERSION="1.9.9"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+    
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+    
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+    
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+  
+# Install mandatory dependencies
+POL_Call POL_Install_xact
+POL_Call POL_Install_xinput
+#POL_Call POL_Install_d3dx9
+
+# Prepare Steam
+POL_Call POL_Install_steam
+POL_Call POL_Install_steam_flags "$STEAM_ID"
+    
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+POL_Wine_WaitExit "$TITLE"
+    
+# Making shortcut
+POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"
+
+#Closing POL
+POL_SetupWindow_Close
+exit 0

Nouveau code source

#!/bin/bash
# Date : (2016-05-23 12:12)
# Last revision : (2016-05-23 12:12)
# Wine version used : 1.9.9
# Distribution used to test : Debian 8 (Wheezy)
# Author : Jimy Byerley
# License : GNU/GPL v3
    
## Beta script ##
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="Warface"
PREFIX="Warface"
EDITOR="Crytek"
GAME_URL="http://www.warface.com/"
AUTHOR="Jimy Byerley"
GAME_VMS="256"
STEAM_ID="291480"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="1.9.9"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
#POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Réponses